pb installation gnome-libs

Le
Baksic
Bonjour
J'aimerai essayer de développer des applications avec gnome/gtk.
J'ai réussi a installer glib et gtk mais j'ai un problème lors de
l'installation de gnome-libs.(J'ai téléchargé ces pacages sur le site
ftp de GNU.) gtk marche bien je l'ai testé avec un petit programme qui
affiche une fenêtre et un bouton.
En effet quand je lance le scrip configure dans le répertoire
gnome-libs-1.4.2 voila le message que j'obtiens :

checking for GTK - version >= 1.2.0 no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: GTK not installed

J'ai installé gtk dans le répertoire /usr/local (c'est le prefix par défaut)
et /usr/local/bin est bien dans mon path.
J'ai pas réussi à trouver le fichier gtk-config mais j'ai un fichier
pkg-config dans le répertoire /usr/local/bin. Je crois que pkg-config fait
la même chose que gtk-config (que c'est la nouvelle version de gtk-config).
Donc je défini la variable d'environement GTK_CONFIG (ce qui est demandé ds
la msg d'erreur) comme suit:

GTK_CONFIG=/usr/local/bin/pkg-config
export GTK_CONFIG

je relance le script configure et j'obtiens le msg suivant:

checking for gtk-config /usr/local/bin/pkg-config
checking for GTK - version >= 1.2.0 Must specify package names on the
command line
Must specify package names on the command line
no
*** Could not run GTK test program, checking why
*** The test program failed to compile or link. See the file config.log for
the
*** exact error that occured. This usually means GTK was incorrectly
installed
*** or that you have moved GTK since it was installed. In the latter case,
you
*** may want to edit the gtk-config script: /usr/local/bin/pkg-config
configure: error: GTK not installed

A partir de la je sais plus quoi faire.
Si qqun a une idée

Merci d'avance

Daris
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Nicolas S.
Le #1904640
Baksic
J'aimerai essayer de développer des applications avec gnome/gtk.
J'ai réussi a installer glib et gtk mais j'ai un problème lors de
l'installation de gnome-libs.(J'ai téléchargé ces pacages sur le si te
ftp de GNU.)


As-tu une bonne raison de ne pas installer les paquets 'devel' de ta
distribution?
Quelle est ta distribution?

gtk marche bien je l'ai testé avec un petit programme qui
affiche une fenêtre et un bouton.
En effet


J'ai du mal à suivre le lien de causalité.

quand je lance le scrip configure dans le répertoire
gnome-libs-1.4.2 voila le message que j'obtiens :

checking for GTK - version >= 1.2.0... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: GTK not installed

J'ai installé gtk


Quelle version?

dans le répertoire /usr/local (c'est le prefix par
défaut) et /usr/local/bin est bien dans mon path.


Le path de quel utilisateur?

J'ai pas réussi à trouver le fichier gtk-config


Comment as-tu cherché?

mais j'ai un fichier
pkg-config dans le répertoire /usr/local/bin. Je crois que pkg-config
fait la même chose que gtk-config (que c'est la nouvelle version de
gtk-config).


Non.

--
Nicolas S.

Nicolas S.
Le #1904639
Baksic
As-tu une bonne raison de ne pas installer les paquets 'devel' de ta
distribution?
J'ai pas trouvé de pacages contenant le fichier gnome.h



Il te faut donc lire la documentation de ton gestionnaire de paquet pour
savoir comment chercher un paquet sur la base d'un nom de fichier. Je
doute que ce ne soit pas possible chez mandriva.
Ce sera mieux que de faire des installations approximatives depuis les
sources.

Ceci dit, il y a des chances pour que ça se trouve du côté de
libgnomeui (ou approché).

--
Nicolas S.


Nicolas S.
Le #1904638
Nina Popravka
Et "lien de causalité", c'est quand même 'achtement plus hype que dire
"mais pourquoi t'as fait un truc aussi con".


Non. Je ne porte pas de jugement de valeur envers une personne qui
essaye et qui rédige apparemment en français.

Ceci-dit, et pour avoir parcouru plusieurs forums, j'ai remarqué que tu
étais bien présente aujourd'hui. Puisque, semble-t-il, tu as un avis
sur le fond du problème, je ne vois pas vraiment pourquoi il a fallu
que tu attendes une autre réponse pour intervenir. Je te fais remarquer
par la même occasion que tu ne réponds en rien au problème de l'OP et
que ta remarque est tout à fait inutile (à part peut-être te soulager
en balançant un avis tranché, insultant et déplacé).

Par ailleurs, il peut-être tout à fait justifié de travailler avec des
outils compilés à partir des sources et en dehors du système de
paquetages.


--
Nicolas S.

Nina Popravka
Le #1904627
On Tue, 9 Oct 2007 22:59:43 +0200, "Nicolas S."

J'ai du mal à suivre le lien de causalité.


Et "lien de causalité", c'est quand même 'achtement plus hype que dire
"mais pourquoi t'as fait un truc aussi con".
--
Nina

Baksic
Le #1904625
Nicolas S. wrote:

Baksic
J'aimerai essayer de développer des applications avec gnome/gtk.
J'ai réussi a installer glib et gtk mais j'ai un problème lors de
l'installation de gnome-libs.(J'ai téléchargé ces pacages sur le site
ftp de GNU.)


As-tu une bonne raison de ne pas installer les paquets 'devel' de ta
distribution?
J'ai pas trouvé de pacages contenant le fichier gnome.h

Quelle est ta distribution?
C'est Mandriva 2007 spring


gtk marche bien je l'ai testé avec un petit programme qui
affiche une fenêtre et un bouton.
En effet


J'ai du mal à suivre le lien de causalité.
Je veut dire que gtk est bien installé.


quand je lance le scrip configure dans le répertoire
gnome-libs-1.4.2 voila le message que j'obtiens :

checking for GTK - version >= 1.2.0... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: GTK not installed

J'ai installé gtk


Quelle version?
gtk+-2.10.0



dans le répertoire /usr/local (c'est le prefix par
défaut) et /usr/local/bin est bien dans mon path.


Le path de quel utilisateur?
de l'utilisateur daris avec lequel je lance le script configure


J'ai pas réussi à trouver le fichier gtk-config


Comment as-tu cherché?
Avec l'utilitaire de recherche de fichiers de mandriva dans le

répertoire /usr/local


mais j'ai un fichier
pkg-config dans le répertoire /usr/local/bin. Je crois que pkg-config
fait la même chose que gtk-config (que c'est la nouvelle version de
gtk-config).


Non.




Publicité
Poster une réponse
Anonyme